## lowbatled 0.0.1-1

=== Makefile ===
lowbatled: lowbatled.vala
	valac --disable-dbus-transformation --pkg dbus-glib-1 $^

install: lowbatled
	install -d ${DESTDIR}/usr/bin/
	install -m0755 lowbatled ${DESTDIR}/usr/bin/lowbatled
	install -d ${DESTDIR}/etc/event.d/
	install -m0644 lowbatled.upstart ${DESTDIR}/etc/event.d/lowbatled

clean:
	rm -f lowbatled

.PHONY: clean install

=== debian/changelog ===
lowbatled (0.0.1-1) unstable; urgency=low

  * Initial release

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 10 Feb 2010 11:08:12 +0100

=== debian/control ===
Source: lowbatled
Section: user/system
Priority: extra
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
Build-Depends: vala (>= 0.8.0), debhelper (>= 5), libdbus-glib-1-dev (>= 0.78)
Standards-Version: 5
XSBC-Bugtracker: mailto:philipp.zabel@gmail.com

Package: lowbatled
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mceledpattern
XB-Description: Signals low battery via the notification LED
  Installs a new LED notification pattern to signal low battery
XB-Maemo-Display-Name: Low Battery LED

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=5
export DH_OPTIONS

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH   ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	#	 --prefix=/usr $(conf_opt)

build: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-arch binary-indep binary install configure
